gradle change lwjgl 2.9 to 3

Anything libgdx related goes here!

gradle change lwjgl 2.9 to 3

Postby vastminder » Mon Feb 17, 2020 11:42 am

Hi, how to change lwjgl 2.9 in gradle to lwjgl3 ?
I get warnings all the time I try to run the main file.
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.lwjgl.LWJGLUtil$3 (file:/C:/Users/Andrew/.gradle/caches/modules-2/files-2.1/org.lwjgl.lwjgl/lwjgl/2.9.3/3df168ac74e4a8c96562cdff24ad352e255bf89c/lwjgl-2.9.3.jar) to method java.lang.ClassLoader.findLibrary(java.lang.String)
WARNING: Please consider reporting this to the maintainers of org.lwjgl.LWJGLUtil$3
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
vastminder
 
Posts: 4
Joined: Thu Jan 23, 2020 1:43 am

Re: gradle change lwjgl 2.9 to 3

Postby RafaSKB » Mon Feb 17, 2020 2:02 pm

It's unfortunate there isn't a clear place explaining how to do this upgrade. It was posted in the libGDX blog a long long time ago.

https://www.badlogicgames.com/wordpress/?p=3870

Search for the "Switching from LWJGL 2 to LWJGL 3" paragraph.

If you still have issues, please share your gradle dependencies with us, maybe one of them is still using lwjgl2 (like gdx-tools)
Awesome libGDX - A curated list of resources and tutorials to help developers make awesome games. https://github.com/rafaskb/awesome-libgdx#readme

Grashers - Trash-themed roguelike set in space. http://www.grashers.com
RafaSKB
 
Posts: 144
Joined: Sat Aug 01, 2015 5:14 am
Location: São Paulo, Brazil

Re: gradle change lwjgl 2.9 to 3

Postby vastminder » Tue Feb 18, 2020 3:47 am

RafaSKB wrote:It's unfortunate there isn't a clear place explaining how to do this upgrade. It was posted in the libGDX blog a long long time ago.

https://www.badlogicgames.com/wordpress/?p=3870

Search for the "Switching from LWJGL 2 to LWJGL 3" paragraph.

If you still have issues, please share your gradle dependencies with us, maybe one of them is still using lwjgl2 (like gdx-tools)

There is an option in Eclipse in gradle tab where I selected which version of gradle I want to use. I downgraded to 5.5 version and no warnings pop up now.
vastminder
 
Posts: 4
Joined: Thu Jan 23, 2020 1:43 am


Return to Libgdx

Who is online

Users browsing this forum: Google [Bot] and 1 guest